var __getOwnPropNames = Object.getOwnPropertyNames;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};

// package.json
var require_package = __commonJS({
  "package.json"(exports, module) {
    module.exports = {
      name: "peertube-plugin-trakteer",
      description: "PeerTube plugin for Trakteer",
      version: "0.0.1+build.1",
      license: "ISC",
      author: "faultables",
      repository: {
        type: "git",
        url: "https://forge.edgy.social/rizaldy/peertube-plugin-trakteer.git"
      },
      bugs: "https://forge.edgy.social/rizaldy/peertube-plugin-trakteer/issues",
      clientScripts: [
        {
          script: "dist/video-watch-client-plugin.js",
          scopes: [
            "video-watch"
          ]
        }
      ],
      css: [],
      engine: {
        peertube: ">=3.4.0"
      },
      homepage: "https://forge.edgy.social/rizaldy/peertube-plugin-trakteer",
      keywords: [
        "peertube",
        "plugin",
        "trakteer"
      ],
      library: "./main.js",
      scripts: {
        prepare: "npm run build",
        build: "node ./scripts/build.js"
      },
      staticDirs: {},
      translations: {},
      devDependencies: {
        esbuild: "^0.14.36"
      },
      dependencies: {
        "@peertube/peertube-cli": "^1.0.1"
      }
    };
  }
});

// client/common-client-plugin.js
var pkg = require_package();
function register({ registerHook, peertubeHelpers }) {
  const { version } = pkg;
  console.log("so long and good night", version);
}
export {
  register
};
